> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reassign multiple delegation recipients



## OpenAPI

````yaml patch /v1/delegations/bulk-reassign-recipients
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/bulk-reassign-recipients:
    patch:
      tags:
        - delegations
      summary: Reassign multiple delegation recipients
      operationId: DelegationController_bulkReassignRecipients_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DelegationsBulkReassignRecipientsDto'
      responses:
        '200':
          description: Recipients are being reassigned to delegations
      security:
        - accessToken: []
components:
  schemas:
    DelegationsBulkReassignRecipientsDto:
      type: object
      properties:
        tenantId:
          type: string
          format: uuid
          description: Tenant ID
          example: 123e4567-e89b-12d3-a456-426614174000
        delegationIds:
          description: Array of delegation IDs to reassign recipients to
          example:
            - 123e4567-e89b-12d3-a456-426614174001
            - 123e4567-e89b-12d3-a456-426614174002
          type: array
          items:
            type: string
        recipientType:
          type: object
          example: PERSONNEL_IN_POSITION
          description: Delegation recipient type
        recipientAutoIssue:
          type: boolean
          default: false
          example: false
          description: >-
            Auto Issue option for Delegation recipient of type
            PERSONNEL_IN_POSITION
        delegationRecipients:
          minItems: 1
          description: Delegation Recipients
          type: array
          items:
            $ref: '#/components/schemas/DelegationRecipientDto'
      required:
        - tenantId
        - delegationIds
        - recipientType
        - delegationRecipients
    DelegationRecipientDto:
      type: object
      properties:
        recipientUserId:
          type: string
          nullable: true
          example: 485fa115-52d0-4466-baff-740447a60774
          description: Identifier for the recipient user
        recipientPositionId:
          type: string
          nullable: true
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Identifier for the recipient position
        isInvalid:
          type: boolean
          default: false
          example: false
          description: Indicates if delegation recipient is invalid
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````